Subject: Re: [PATCH] Add warning about known issues to documentation of cvsimport

From: Junio C Hamano <[email-masked]>
Date: Tue, 31 Mar 2009 16:55:53 -0700

Jeff King <[email-masked]> writes:

> Going back to the original discussion, it looks like it is a workaround
> for docbook-xsl 1.69.0:
>
>   http://article.gmane.org/gmane.comp.version-control.git/32957
>
> Assuming that is correct, I think the sane choices are:
>
>   1. drop the workaround, as that version of docbook-xsl is now several
>      years old
>
>      or
>
>   2. turn the workaround off by default, but add a knob to turn it on
>      (DOCBOOK_XSL_1690?)
>
> Having it on by default and turning it off with a knob seems silly,
> since most versions don't need it. Debian stable is shipping 1.73 these
> days, which looks fine without 7ef0435. Are there other platforms still
> shipping 1.69.0? Is it too old for us to care?

I am very tempted to say 1. but we seem to have a track record of trying
to be nice to people.  How involved would 2 be compared to 1?